<a id="delete_{{ comment.id }}" href="#">Delete</a>
  <form id="delete_form_{{ comment.id }}" 
        method="post" 
        action="{% url 'app:delete_comment' comment.id %}"
        class="hidden"> 
        {% csrf_token %}
  </form>
  <script>
    $(document).on('click','#delete_{{ comment.id }}', function(){
      $('#delete_form_{{ comment.id }}').submit();
    });
  </script>